
Core - Bug # 37938

Status: New Priority: Should have
Author: Stefan Neufeind Category:
Created: 2012-06-12 Assigned To:
Updated: 2015-06-15 Due date:
TYPO3 Version: 4.7
PHP Version:
Complexity:
Is Regression: No
Sprint Focus:
Subject: Using HTML5 for audio not (easily) possible due to flexform
Description

In typo3/sysext/cms/flexform_media.xml the checkbox to use "HTML5/accessible rendering" is only shown if the Media-type is video.
It is hidden for audio through a displayCond in flexform.

But that checkbox is needed for HTML5-audio as well. Unfortunately that displayCond can not just be removed since another tab is
also triggered by this checkbox:

<TCEforms>
  <sheetTitle>LLL:EXT:cms/locallang_ttc.xml:media.tabVideoAccessible</sheetTitle>
  <displayCond>FIELD:sGeneral.mmUseHTML5:=:1</displayCond>
</TCEforms>

And displayCond does not allow to have two conditions / one condition of two parts (type=video and mmUseHTML5) here.

Workaround is to use use type=video, check the checkbox and after that change to type=audio. That value is then still present in
flexform.

Tested this on latest 4.7.2-dev from git.

PS: CCing Steffen Ritter on this since that condition was introduced by his changeset.

commit 37d6509eff1e9d4eeb2b8e3915061b0a3c935fb9
Author: Steffen Ritter
Date:   Thu Apr 12 21:05:05 2012 +0200
[BUGFIX] Usability improvements for Media Element

Final adaptions to the  Media Element to reduce the UI to the
neccessary stuff and better distinguish between HTML5 and normal
rendering.

Change-Id: I2d377156420a0a8ea47888fd62e415829fba1f40
Fixes: #35921
Releases: 4.7,6.0
Reviewed-on: http://review.typo3.org/10358

Related issues:
related to Core - Feature # 37939: displayCond should allow multiple conditio... Resolved 2012-06-12
related to Core - Feature # 18211: Array of display conditions for TCA fields... Resolved 2008-02-14
History
#1 - 2015-01-12 20:52 - Frans Saris
- Target version set to 7.2 (Frontend)
- Is Regression set to No

#2 - 2015-06-15 17:44 - Benjamin Mack
- Target version changed from 7.2 (Frontend) to 7.4 (Backend)
